## GimpAspectPreview GimpAspectPreview — A widget providing a preview with fixed aspect ratio. |

## Synopsis

                        GimpAspectPreview;
    GtkWidget *         gimp_aspect_preview_new             (GimpDrawable *drawable,
                                                             gboolean *toggle);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GimpPreview
                                                 +----GimpAspectPreview

## Implemented Interfaces

GimpAspectPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "drawable"                 gpointer              : Read / Write / Construct Only

## Description

A widget providing a preview with fixed aspect ratio.

## Details

### GimpAspectPreview

    typedef struct _GimpAspectPreview GimpAspectPreview;

### gimp_aspect_preview_new ()

    GtkWidget *         gimp_aspect_preview_new             (GimpDrawable *drawable,
                                                             gboolean *toggle);

Creates a new GimpAspectPreview widget for `drawable`. See also `gimp_drawable_preview_new()`.

In GIMP 2.2 the `toggle` parameter was provided to conviently access the state of the "Preview" check-button. This is not any longer necessary as the preview itself now stores this state, as well as the scroll offset.

`drawable` : | a GimpDrawable
`toggle` : | unused
Returns : | a new GimpAspectPreview.

Since GIMP 2.2

## Property Details

### The `"drawable"` property

      "drawable"                 gpointer              : Read / Write / Construct Only

Since GIMP 2.4